var net = require('net');

console.log(process.argv[2]);
var client = net.connect(8124, process.argv[2], onConnected);
//var client = net.connect('/tmp/echo.sock', onConnected);

client.on('data', onData);
client.on('end', onEnd);


function onConnected() {
  console.log('client connected');
  client.write('world!\r\n');
}

function onData(data) {
  console.log(data.toString());
  client.end();
}

function onEnd() {
  console.log('client disconnected');
}
